﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;

namespace SlnMesnac.RfidUpload.Model
{
  
    [SugarTable("RFID_INFO")]
    public class RfidInfo
    {
        // 该特性指定此属性对应数据库表中的 id 列
        // IsIdentity = true 表示该列是自增列
        // IsPrimaryKey = true 表示该列是主键
        [SugarColumn(ColumnName = "id", IsIdentity = true, IsPrimaryKey = true)]
        public int Id { get; set; }

        // 用于存储调拨单号
        [SugarColumn(ColumnName = "dbdh")]
        public string Dbdh { get; set; }

        // 用于存储RFID
        [SugarColumn(ColumnName = "result")]
        public string Result { get; set; }

        //时间
        [SugarColumn(ColumnName = "recordtime")]
        public string RecordTime { get; set; }
    }
}
