﻿using Newtonsoft.Json.Linq;

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using Newtonsoft.Json;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：T14-GEN3-7895
* 命名空间：SlnMesnac.RfidUpload.Model.apiParam
* 唯一标识：24151d41-1e82-4326-bab7-94d9a9655cbd
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2024-12-06 16:37:58
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.RfidUpload.Model.apiParam
{
    public class CsbResult
    {
      //  public string status { get; set; }

        public string msg { get; set; }

     //   public List<Object> @object { get; set; }

     public bool IsSuccess => status().StartsWith("0");

     public List<T> ToObjectList<T>()
     {
         JObject job = JObject.Parse(body);
         string? str = job["retBody"]?["object"]?.ToString();
         if (!string.IsNullOrEmpty(str))
         {
             List<T> institutionList = JsonConvert.DeserializeObject<List<T>>(str);
             return institutionList;

         }

         return new List<T>();
     }

       public string body { get; set; }


       public JObject? GetRetBodyJObject()
       {
           JObject job = JObject.Parse(body);
           var str = job["retBody"]; 
           return str as JObject;
       }

       public string GetMsg()
       {
           var job = GetRetBodyJObject();
           if (job != null)
           {
               var s = job?["msg"]?.ToString();
               var b = "";
               return s +" "+ b??"";
           }

           return "";
       }

       public string status()
       {
           var job = GetRetBodyJObject();
           if (job != null)
           {
               var s = job?["status"]?.ToString();
               var b = "";
               return s + " " + b ?? "";
           }

           return "";
        }

       public string GetRetBody()
       {
           JObject job = JObject.Parse(body);
           string? str = job["retBody"]?.ToString();
           if (!string.IsNullOrEmpty(str))
           {
               return str;
           }

           return message;
       }

     //  public string code { get; set; }
        public string csbCode { get; set; }
        public string message { get; set; }
    }
}
